> ## Documentation Index
> Fetch the complete documentation index at: https://docs-slidekit.theduomi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Check analysis status

> Retrieves analysis status and progress.



## OpenAPI

````yaml /openapi/powerpoint-api.json get /api/v1/templates/{template_id}/analysis/status
openapi: 3.1.0
info:
  title: SlideKit
  description: >-
    A comprehensive API for PowerPoint template management and presentation
    generation
  version: 1.0.0
servers: []
security: []
paths:
  /api/v1/templates/{template_id}/analysis/status:
    get:
      tags:
        - templates
      summary: Check analysis status
      description: Retrieves analysis status and progress.
      operationId: get_analysis_status_api_v1_templates__template_id__analysis_status_get
      parameters:
        - name: template_id
          in: path
          required: true
          schema:
            type: string
            title: Template Id
        - name: analysis_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Specific analysis ID (defaults to latest)
            title: Analysis Id
          description: Specific analysis ID (defaults to latest)
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AnalysisStatusResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    AnalysisStatusResponse:
      properties:
        progress:
          type: integer
          maximum: 100
          minimum: 0
          title: Progress
          default: 0
        current_step:
          anyOf:
            - type: string
            - type: 'null'
          title: Current Step
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
        status:
          type: string
          title: Status
        steps:
          anyOf:
            - items:
                additionalProperties: true
                type: object
              type: array
            - type: 'null'
          title: Steps
        started_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Started At
        estimated_completion_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Estimated Completion At
        elapsed_time:
          anyOf:
            - type: number
            - type: 'null'
          title: Elapsed Time
        error:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Error
      type: object
      required:
        - status
      title: AnalysisStatusResponse
      description: Analysis status response.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: >-
        Production API key. Development/test deployments may also allow
        X-Org-Name.

````